{ lib, ... }:

{
  # Enable OpenGL/Graphics for Wayland Compositors (Hyprland)
  # This provides better resolution and smoothness for all platforms.
  hardware.graphics = {
    enable = lib.mkDefault true;
    enable32Bit = lib.mkDefault true;
  };
}
